Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
<Persistent("ZIPHU")> _
<Appearance("ZIPHU - Disable ID all time", AppearanceItemType.ViewItem, "1=1", TargetItems:="ID", Enabled:=False)> _
Public Class ZIPHU
    Inherits XPLiteObject
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    <Key()> Property ID As Long
    Property Zip As String
    Property City As String
    Property County As String
End Class
